Package ghidra.app.util.viewer.proxy

# Class DataProxy

java.lang.Object
ghidra.app.util.viewer.proxy.ProxyObj<Data>
ghidra.app.util.viewer.proxy.DataProxy

public class DataProxy extends ProxyObj<Data>
Stores information about a data item in a program such that the data item can be retrieved when needed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataProxy(ListingModel model, Program program, Data data)`
  Construct a proxy for the given Data object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Address a)`
  Returns true if the proxy object of this class contains the given address.
  `Data`
  `getObject()`
  Returns the object that this proxy represents or null if the object no longer exists.

  ### Methods inherited from class ghidra.app.util.viewer.proxy.ProxyObj

  `getListingLayoutModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataProxy

    public DataProxy(ListingModel model, Program program, Data data)
    Construct a proxy for the given Data object.
    Parameters:
      `model` - the model
      `program` - the program containing the data object.
      `data` - the Data object to proxy.

- ## Method Details

  - ### getObject

    public Data getObject()
    Description copied from class: `ProxyObj`
    Returns the object that this proxy represents or null if the object no longer exists.
    Specified by:
      `getObject` in class `ProxyObj<Data>`
    Returns:
      the object that this proxy represents or null if the object no longer exists.

  - ### contains

    public boolean contains(Address a)
    Description copied from class: `ProxyObj`
    Returns true if the proxy object of this class contains the given address.
    Specified by:
      `contains` in class `ProxyObj<Data>`
    Parameters:
      `a` - the address
    Returns:
      true if the proxy object of this class contains the given address.